SOURCES: eggdrop-vanilla-ssl.patch (NEW) - patch for eggdrop-vanilla

duddits duddits at pld-linux.org
Mon Sep 22 17:05:19 CEST 2008


Author: duddits                      Date: Mon Sep 22 15:05:19 2008 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- patch for eggdrop-vanilla

---- Files affected:
SOURCES:
   eggdrop-vanilla-ssl.patch (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: SOURCES/eggdrop-vanilla-ssl.patch
diff -u /dev/null SOURCES/eggdrop-vanilla-ssl.patch:1.1
--- /dev/null	Mon Sep 22 17:05:20 2008
+++ SOURCES/eggdrop-vanilla-ssl.patch	Mon Sep 22 17:05:14 2008
@@ -0,0 +1,1242 @@
+diff -burNp eggdrop1.6.19/aclocal.m4 eggdrop1.6.19.new/aclocal.m4
+--- eggdrop1.6.19/aclocal.m4	2008-04-19 06:21:20.000000000 +0200
++++ eggdrop1.6.19.new/aclocal.m4	2008-09-22 14:03:38.304371902 +0200
+@@ -36,6 +36,63 @@ AC_DEFUN([EGG_MSG_CONFIGURE_START],
+   AC_MSG_RESULT
+ ])
+ 
++dnl  EGG_SSL_CRAP()
++dnl
++AC_DEFUN(EGG_SSL_CRAP, [dnl
++#ssl checks - hoe
++AC_MSG_CHECKING(whether to include SSL support)
++AC_ARG_WITH(ssl,
++[  --with-ssl[=PATH]         Include SSL support (DIR is OpenSSL's install dir).],
++[
++  case "$withval" in
++    no)
++      AC_MSG_RESULT(no) ;;
++    yes)
++      AC_MSG_RESULT(yes)
++      AC_CHECK_LIB(ssl,SSL_accept,[AC_DEFINE(EGG_SSL_EXT)
++      SSL_LIBS="-lssl -lcrypto"],[AC_MSG_ERROR([You requested SSL support, but OpenSSL was not found. Please supply a pathname to OpenSSL])],-lcrypto)
++      ;;
++    *)
++dnl A whole whack of possible places where this might be
++      test -f $withval/openssl/ssl.h && SSL_INCLUDE="$withval"
++      test -f $withval/include/openssl/ssl.h && SSL_INCLUDE="$withval/include"
++
++      test -f $withval/lib/libssl.a && SSL_LIB="$withval/lib"
++      test -f $withval/lib/ssl/libssl.a && SSL_LIB="$withval/lib/ssl"
++      test -f $withval/lib/openssl/libssl.a && SSL_LIB="$withval/lib/openssl/ssl"
++      test -f $withval/libssl.a && SSL_LIB="$withval"
++      test -f $withval/ssl/libssl.a && SSL_LIB="$withval/ssl"
++      test -f $withval/openssl/libssl.a && SSL_LIB="$withval/openssl"
++
++      test -f $withval/lib/libcrypto.a && CRYPTO_LIB="$withval/lib"
++      test -f $withval/lib/ssl/libcrypto.a && CRYPTO_LIB="$withval/lib/ssl"
++      test -f $withval/lib/openssl/libcrypto.a && CRYPTO_LIB="$withval/lib/openssl/ssl"
++      test -f $withval/libcrypto.a && CRYPTO_LIB="$withval"
++      test -f $withval/ssl/libcrypto.a && CRYPTO_LIB="$withval/ssl"
++      test -f $withval/openssl/libcrypto.a && CRYPTO_LIB="$withval/openssl"
++
++      if test -n "$SSL_INCLUDE" && test -n "$SSL_LIB" && test -n "$CRYPTO_LIB"; then
++        SSL_LIBS="-lssl -lcrypto -L$SSL_LIB -L$CRYPTO_LIB";
++        AC_DEFINE([EGG_SSL_EXT], [], [SSL support])
++        AC_MSG_RESULT(yes)
++      else
++        AC_MSG_RESULT(no)
++        AC_MSG_ERROR([You requested SSL support, but OpenSSL was not found. Please supply a pathname to OpenSSL])
++      fi ;;
++  esac
++],[
++    AC_MSG_RESULT(will try to find)
++    AC_CHECK_LIB(ssl,SSL_accept,[AC_DEFINE(EGG_SSL_EXT)
++     SSL_LIBS="-lssl -lcrypto"],[AC_MSG_ERROR([OpenSSL was not found. Please supply a pathname to OpenSSL])],-lcrypto)
++    AC_CHECK_HEADERS("openssl/ssl.h",,[AC_MSG_ERROR([OpenSSL was not found. Please supply a pathname to OpenSSL])],)
++
++    AC_SUBST(SSL_LIBS)dnl
++    AC_SUBST(SSL_INCLUDE)dnl
++])
++
++#end of ssl checks - hoe (.16 by poci)
++])dnl
++
+ 
+ dnl EGG_MSG_CONFIGURE_END()
+ dnl
+diff -burNp eggdrop1.6.19/config.h.in eggdrop1.6.19.new/config.h.in
+--- eggdrop1.6.19/config.h.in	2006-11-20 12:38:25.000000000 +0100
++++ eggdrop1.6.19.new/config.h.in	2008-09-22 14:07:26.990831137 +0200
+@@ -33,6 +33,9 @@
+ /* Define to 1 if you have the `clock' function. */
+ #undef HAVE_CLOCK
+ 
++/* Defines ssl mode  */
++#undef EGG_SSL_EXT
++
+ /* Define to 1 if you have the <dirent.h> header file, and it defines `DIR'.
+    */
+ #undef HAVE_DIRENT_H
+diff -burNp eggdrop1.6.19/configure eggdrop1.6.19.new/configure
+--- eggdrop1.6.19/configure	2008-04-19 06:21:20.000000000 +0200
++++ eggdrop1.6.19.new/configure	2008-09-22 14:22:28.610498567 +0200
+@@ -856,6 +857,7 @@ Optional Packages:
+   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
+   --with-tcllib=PATH      full path to Tcl library
+   --with-tclinc=PATH      full path to Tcl header
++  --with-ssl=PATH         Include SSL support (DIR is OpenSSL's install dir).
+ 
+ Some influential environment variables:
+   CC          C compiler command
+@@ -10113,8 +10115,372 @@ EOF
+ 
+             ac_config_commands="$ac_config_commands replace-if-changed"
+ 
++#ssl checks - hoe
++echo "$as_me:$LINENO: checking whether to include SSL support" >&5
++echo $ECHO_N "checking whether to include SSL support... $ECHO_C" >&6
++
++# Check whether --with-ssl or --without-ssl was given.
++if test "${with_ssl+set}" = set; then
++  withval="$with_ssl"
++
++  case "$withval" in
++    no)
++      echo "$as_me:$LINENO: result: no" >&5
++echo "${ECHO_T}no" >&6 ;;
++    yes)
++      echo "$as_me:$LINENO: result: yes" >&5
++echo "${ECHO_T}yes" >&6
++      echo "$as_me:$LINENO: checking for SSL_accept in -lssl" >&5
++echo $ECHO_N "checking for SSL_accept in -lssl... $ECHO_C" >&6
++if test "${ac_cv_lib_ssl_SSL_accept+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++  ac_check_lib_save_LIBS=$LIBS
++LIBS="-lssl -lcrypto $LIBS"
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++
++/* Override any gcc2 internal prototype to avoid an error.  */
++#ifdef __cplusplus
++extern "C"
++#endif
++/* We use char because int might match the return type of a gcc2
++   builtin and then its argument prototype would still apply.  */
++char SSL_accept ();
++int
++main ()
++{
++SSL_accept ();
++  ;
++  return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
++  (eval $ac_link) 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } &&
++	 { ac_try='test -z "$ac_c_werror_flag"
++			 || test ! -s conftest.err'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; } &&
++	 { ac_try='test -s conftest$ac_exeext'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; }; then
++  ac_cv_lib_ssl_SSL_accept=yes
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ac_cv_lib_ssl_SSL_accept=no
++fi
++rm -f conftest.err conftest.$ac_objext \
++      conftest$ac_exeext conftest.$ac_ext
++LIBS=$ac_check_lib_save_LIBS
++fi
++echo "$as_me:$LINENO: result: $ac_cv_lib_ssl_SSL_accept" >&5
++echo "${ECHO_T}$ac_cv_lib_ssl_SSL_accept" >&6
++if test $ac_cv_lib_ssl_SSL_accept = yes; then
++  cat >>confdefs.h <<\_ACEOF
++#define EGG_SSL_EXT 1
++_ACEOF
++
++      SSL_LIBS="-lssl -lcrypto"
++else
++  { { echo "$as_me:$LINENO: error: You requested SSL support, but OpenSSL was not found. Please supply a pathname to OpenSSL" >&5
++echo "$as_me: error: You requested SSL support, but OpenSSL was not found. Please supply a pathname to OpenSSL" >&2;}
++   { (exit 1); exit 1; }; }
++fi
++
++      ;;
++    *)
++      test -f $withval/openssl/ssl.h && SSL_INCLUDE="$withval"
++      test -f $withval/include/openssl/ssl.h && SSL_INCLUDE="$withval/include"
++
++      test -f $withval/lib/libssl.a && SSL_LIB="$withval/lib"
++      test -f $withval/lib/ssl/libssl.a && SSL_LIB="$withval/lib/ssl"
++      test -f $withval/lib/openssl/libssl.a && SSL_LIB="$withval/lib/openssl/ssl"
++      test -f $withval/libssl.a && SSL_LIB="$withval"
++      test -f $withval/ssl/libssl.a && SSL_LIB="$withval/ssl"
++      test -f $withval/openssl/libssl.a && SSL_LIB="$withval/openssl"
++
++      test -f $withval/lib/libcrypto.a && CRYPTO_LIB="$withval/lib"
++      test -f $withval/lib/ssl/libcrypto.a && CRYPTO_LIB="$withval/lib/ssl"
++      test -f $withval/lib/openssl/libcrypto.a && CRYPTO_LIB="$withval/lib/openssl/ssl"
++      test -f $withval/libcrypto.a && CRYPTO_LIB="$withval"
++      test -f $withval/ssl/libcrypto.a && CRYPTO_LIB="$withval/ssl"
++      test -f $withval/openssl/libcrypto.a && CRYPTO_LIB="$withval/openssl"
++
++      if test -n "$SSL_INCLUDE" && test -n "$SSL_LIB" && test -n "$CRYPTO_LIB"; then
++        SSL_LIBS="-lssl -lcrypto -L$SSL_LIB -L$CRYPTO_LIB";
++        cat >>confdefs.h <<\_ACEOF
++#define EGG_SSL_EXT 1
++_ACEOF
++
++        echo "$as_me:$LINENO: result: yes" >&5
++echo "${ECHO_T}yes" >&6
++      else
++        echo "$as_me:$LINENO: result: no" >&5
++echo "${ECHO_T}no" >&6
++        { { echo "$as_me:$LINENO: error: You requested SSL support, but OpenSSL was not found. Please supply a pathname to OpenSSL" >&5
++echo "$as_me: error: You requested SSL support, but OpenSSL was not found. Please supply a pathname to OpenSSL" >&2;}
++   { (exit 1); exit 1; }; }
++      fi ;;
++  esac
++
++else
++
++    echo "$as_me:$LINENO: result: will try to find" >&5
++echo "${ECHO_T}will try to find" >&6
++    echo "$as_me:$LINENO: checking for SSL_accept in -lssl" >&5
++echo $ECHO_N "checking for SSL_accept in -lssl... $ECHO_C" >&6
++if test "${ac_cv_lib_ssl_SSL_accept+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++  ac_check_lib_save_LIBS=$LIBS
++LIBS="-lssl -lcrypto $LIBS"
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++
++/* Override any gcc2 internal prototype to avoid an error.  */
++#ifdef __cplusplus
++extern "C"
++#endif
++/* We use char because int might match the return type of a gcc2
++   builtin and then its argument prototype would still apply.  */
++char SSL_accept ();
++int
++main ()
++{
++SSL_accept ();
++  ;
++  return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
++  (eval $ac_link) 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } &&
++	 { ac_try='test -z "$ac_c_werror_flag"
++			 || test ! -s conftest.err'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; } &&
++	 { ac_try='test -s conftest$ac_exeext'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; }; then
++  ac_cv_lib_ssl_SSL_accept=yes
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ac_cv_lib_ssl_SSL_accept=no
++fi
++rm -f conftest.err conftest.$ac_objext \
++      conftest$ac_exeext conftest.$ac_ext
++LIBS=$ac_check_lib_save_LIBS
++fi
++echo "$as_me:$LINENO: result: $ac_cv_lib_ssl_SSL_accept" >&5
++echo "${ECHO_T}$ac_cv_lib_ssl_SSL_accept" >&6
++if test $ac_cv_lib_ssl_SSL_accept = yes; then
++  cat >>confdefs.h <<\_ACEOF
++#define EGG_SSL_EXT 1
++_ACEOF
++
++     SSL_LIBS="-lssl -lcrypto"
++else
++  { { echo "$as_me:$LINENO: error: OpenSSL was not found. Please supply a pathname to OpenSSL" >&5
++echo "$as_me: error: OpenSSL was not found. Please supply a pathname to OpenSSL" >&2;}
++   { (exit 1); exit 1; }; }
++fi
++
++
++for ac_header in "openssl/ssl.h"
++do
++as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
++if eval "test \"\${$as_ac_Header+set}\" = set"; then
++  echo "$as_me:$LINENO: checking for $ac_header" >&5
++echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
++if eval "test \"\${$as_ac_Header+set}\" = set"; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++fi
++echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
++echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
++else
++  # Is the header compilable?
++echo "$as_me:$LINENO: checking $ac_header usability" >&5
++echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++$ac_includes_default
++#include <$ac_header>
++_ACEOF
++rm -f conftest.$ac_objext
++if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
++  (eval $ac_compile) 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } &&
++	 { ac_try='test -z "$ac_c_werror_flag"
++			 || test ! -s conftest.err'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; } &&
++	 { ac_try='test -s conftest.$ac_objext'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; }; then
++  ac_header_compiler=yes
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ac_header_compiler=no
++fi
++rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
++echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
++echo "${ECHO_T}$ac_header_compiler" >&6
++
++# Is the header present?
++echo "$as_me:$LINENO: checking $ac_header presence" >&5
++echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++#include <$ac_header>
++_ACEOF
++if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
++  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } >/dev/null; then
++  if test -s conftest.err; then
++    ac_cpp_err=$ac_c_preproc_warn_flag
++    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
++  else
++    ac_cpp_err=
++  fi
++else
++  ac_cpp_err=yes
++fi
++if test -z "$ac_cpp_err"; then
++  ac_header_preproc=yes
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++  ac_header_preproc=no
++fi
++rm -f conftest.err conftest.$ac_ext
++echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
++echo "${ECHO_T}$ac_header_preproc" >&6
+ 
++# So?  What about this header?
++case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
++  yes:no: )
++    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
++echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
++    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
++echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
++    ac_header_preproc=yes
++    ;;
++  no:yes:* )
++    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
++echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
++    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
++echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
++    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
++echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
++    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
++echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
++    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
++echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
++    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
++echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
++    (
++      cat <<\_ASBOX
++## -------------------------------- ##
++## Report this to bugs at eggheads.org ##
++## -------------------------------- ##
++_ASBOX
++    ) |
++      sed "s/^/$as_me: WARNING:     /" >&2
++    ;;
++esac
++echo "$as_me:$LINENO: checking for $ac_header" >&5
++echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
++if eval "test \"\${$as_ac_Header+set}\" = set"; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++  eval "$as_ac_Header=\$ac_header_preproc"
++fi
++echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
++echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
++
++fi
++if test `eval echo '${'$as_ac_Header'}'` = yes; then
++  cat >>confdefs.h <<_ACEOF
++#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
++_ACEOF
++
++else
++  { { echo "$as_me:$LINENO: error: OpenSSL was not found. Please supply a pathname to OpenSSL" >&5
++echo "$as_me: error: OpenSSL was not found. Please supply a pathname to OpenSSL" >&2;}
++   { (exit 1); exit 1; }; }
++fi
++
++done
++
++
++
++fi;
+ 
++#end of ssl checks - hoe (.16 by poci)
+ 
+ 
+ # Substitute Makefile variables.
+@@ -10827,6 +11193,8 @@ s, at TCLINC@,$TCLINC,;t t
+ s, at TCLINCFN@,$TCLINCFN,;t t
+ s, at TCL_REQS@,$TCL_REQS,;t t
+ s, at TCL_LIBS@,$TCL_LIBS,;t t
++s, at SSL_LIBS@,$SSL_LIBS,;t t
++s, at SSL_INCLUDE@,$SSL_INCLUDE,;t t
+ s, at EGGVERSION@,$EGGVERSION,;t t
+ s, at DEST@,$DEST,;t t
+ s, at MOD_UPDIR@,$MOD_UPDIR,;t t
+diff -burNp eggdrop1.6.19/configure.ac eggdrop1.6.19.new/configure.ac
+--- eggdrop1.6.19/configure.ac	2008-02-18 23:25:33.000000000 +0100
++++ eggdrop1.6.19.new/configure.ac	2008-09-22 14:23:32.432890637 +0200
+@@ -150,6 +150,7 @@ EGG_TCL_CHECK_THREADS
+ EGG_TCL_LIB_REQS
+ EGG_TCL_LUSH
+ 
++EGG_SSL_CRAP
+ 
+ # Substitute Makefile variables.
+ EGG_SUBST_EGGVERSION
+diff -burNp eggdrop1.6.19/disabled_modules eggdrop1.6.19.new/disabled_modules
+--- eggdrop1.6.19/disabled_modules	2002-06-04 07:11:10.000000000 +0200
++++ eggdrop1.6.19.new/disabled_modules	2008-09-22 14:25:14.439395696 +0200
+@@ -1,12 +0,0 @@
+-#  disabled_modules -- File which lists all Eggdrop modules that are
+-#                      disabled by default.
+-#
+-#  $Id$
+-#
+-# Note:
+-#   -  Lines which start with a '#' character are ignored.
+-#   -  Every module name needs to be on its own line
+-
+-# Woobie only serves as an example for module programming. No need to
+-# compile it for normal bots ...
+-woobie
+diff -burNp eggdrop1.6.19/Makefile eggdrop1.6.19.new/Makefile
+--- eggdrop1.6.19/Makefile	2008-04-19 06:21:34.000000000 +0200
++++ eggdrop1.6.19.new/Makefile	2008-09-22 14:25:56.388522764 +0200
+@@ -1,8 +0,0 @@
+-all:
+-	@echo ""
+-	@echo "Before you can compile your bot you have to configure it."
+-	@echo "Please start the configure script now:"
+-	@echo ""
+-	@echo " % ./configure"
+-	@echo ""
+-
+diff -burNp eggdrop1.6.19/Makefile.in eggdrop1.6.19.new/Makefile.in
+--- eggdrop1.6.19/Makefile.in	2004-08-28 08:43:21.000000000 +0200
++++ eggdrop1.6.19.new/Makefile.in	2008-09-22 14:29:11.247383482 +0200
+@@ -57,6 +57,8 @@ INSTALL_SCRIPT = @INSTALL_SCRIPT@
+ RANLIB = @RANLIB@
+ MOD_EXT = @MOD_EXT@
+ XREQS = @TCL_REQS@
++XSSL_LIBS = @SSL_LIBS@
++XSSL_INCLUDE = @SSL_INCLUDE@
+ TCLLIB = @TCLLIB@
+ TCLLIBFN = @TCLLIBFN@
+ 
+@@ -89,7 +91,8 @@ egg_install_msg =  echo "" && \
+ MAKE_MODEGG = $(MAKE) 'MAKE=$(MAKE)' 'CC=$(MOD_CC)' 'LD=$(MOD_LD)' \
+ 'STRIP=$(MOD_STRIP)' 'RANLIB=$(RANLIB)' 'CFLGS=$(CFLGS)' \
+ 'TCLLIB=$(TCLLIB)' 'TCLLIBFN=$(TCLLIBFN)' 'XREQS=$(XREQS)' \
+-'XLIBS=$(XLIBS)' 'EGGEXEC=$(EGGEXEC)' 'EGGBUILD=(standard build)' 'MODOBJS='
++'XSSL_LIBS=$(XSSL_LIBS)' 'XLIBS=$(XLIBS)' 'EGGEXEC=$(EGGEXEC)' \
++'XSSL_INCLUDE=$(XSSL_INCLUDE)' 'EGGBUILD=' 'MODOBJS='
+ 
+ MAKE_MODULES = $(MAKE) 'MAKE=$(MAKE)' 'CC=$(SHLIB_CC)' 'LD=$(SHLIB_LD)' \
+ 'STRIP=$(SHLIB_STRIP)' 'CFLGS=$(CFLGS)' 'XLIBS=$(XLIBS)' 'MOD_EXT=$(MOD_EXT)' \
+@@ -99,12 +102,13 @@ MAKE_STATIC = $(MAKE) 'MAKE=$(MAKE)' 'CC
+ 'STRIP=$(STRIP)' 'RANLIB=$(RANLIB)' 'CFLGS=$(CFLGS) -DSTATIC' \
+ 'TCLLIB=$(TCLLIB)' 'TCLLIBFN=$(TCLLIBFN)' 'XREQS=$(XREQS)' \
+ 'XLIBS=$(XLIBS)' 'EGGEXEC=$(EGGEXEC)' 'EGGBUILD=(static version)' \
+-'MODOBJS=mod/*.o'
++'XSSL_INCLUDE=$(XSSL_INCLUDE)' 'XSSL_LIBS=$(XSSL_LIBS)' 'MODOBJS=mod/*.o'
+ 
+ MAKE_DEBEGG = $(MAKE) 'MAKE=$(MAKE)' 'CC=$(MOD_CC)' 'LD=$(MOD_LD) -g' \
+ 'STRIP=touch' 'RANLIB=$(RANLIB)' 'CFLGS=-g3 $(DEBCFLAGS) $(CFLGS)' \
+ 'TCLLIB=$(TCLLIB)' 'TCLLIBFN=$(TCLLIBFN)' 'XREQS=$(XREQS)' \
+-'XLIBS=$(XLIBS)' 'EGGEXEC=$(EGGEXEC)' 'EGGBUILD=(debug version)' 'MODOBJS='
++'XSSL_LIBS=$(XSSL_LIBS)' 'XLIBS=$(XLIBS)' 'EGGEXEC=$(EGGEXEC)' \
++'XSSL_INCLUDE=$(XSSL_INCLUDE)' 'EGGBUILD=(debug version)' 'MODOBJS='
+ 
+ MAKE_DEBMODULES = $(MAKE) 'MAKE=$(MAKE)' 'CC=$(SHLIB_CC)' 'LD=$(SHLIB_LD)' \
+ 'XLIBS=$(XLIBS)' 'STRIP=touch' 'CFLGS=-g3 $(DEBCFLAGS) $(CFLGS)' \
+@@ -113,7 +117,8 @@ MAKE_DEBMODULES = $(MAKE) 'MAKE=$(MAKE)'
+ MAKE_SDEBUG = $(MAKE) 'MAKE=$(MAKE)' 'CC=$(CC)' 'LD=$(LD) -g' \
+ 'STRIP=touch' 'RANLIB=$(RANLIB)' 'CFLGS=-g3 $(DEBCFLAGS) -DSTATIC $(CFLGS)' \
+ 'TCLLIB=$(TCLLIB)' 'TCLLIBFN=$(TCLLIBFN)' 'XREQS=$(XREQS)' 'XLIBS=$(XLIBS)' \
+-'EGGEXEC=$(EGGEXEC)' 'EGGBUILD=(static debug version)' 'MODOBJS=mod/*.o'
++'XSSL_INCLUDE=$(XSSL_INCLUDE)' 'XSSL_LIBS=$(XSSL_LIBS)' 'EGGEXEC=$(EGGEXEC)' \
++'EGGBUILD=(static and debug version)' 'MODOBJS=mod/*.o'
+ 
+ MAKE_DEPEND = $(MAKE) 'MAKE=$(MAKE)' 'CC=$(CC)'
+ 
+diff -burNp eggdrop1.6.19/src/dcc.c eggdrop1.6.19.new/src/dcc.c
+--- eggdrop1.6.19/src/dcc.c	2008-02-16 22:41:03.000000000 +0100
++++ eggdrop1.6.19.new/src/dcc.c	2008-09-22 14:30:37.252784308 +0200
+@@ -32,7 +32,11 @@
+ #include "tandem.h"
+ 
+ /* Includes for botnet md5 challenge/response code <cybah> */
++#ifndef EGG_SSL_EXT
+ #include "md5/md5.h"
++#else
++#include "openssl/md5.h"
++#endif
+ 
+ extern struct userrec *userlist;
+ extern struct chanset_t *chanset;
+diff -burNp eggdrop1.6.19/src/dccutil.c eggdrop1.6.19.new/src/dccutil.c
+--- eggdrop1.6.19/src/dccutil.c	2008-02-16 22:41:03.000000000 +0100
++++ eggdrop1.6.19.new/src/dccutil.c	2008-09-22 14:31:42.540452895 +0200
+@@ -33,6 +33,7 @@
+ #include "chan.h"
+ #include "modules.h"
+ #include "tandem.h"
++#include "net.h"
+ 
+ extern struct dcc_t *dcc;
+ extern int dcc_total, max_dcc, dcc_flood_thr, backgrd, copy_to_tmp, MAXSOCKS;
+diff -burNp eggdrop1.6.19/src/eggdrop.h eggdrop1.6.19.new/src/eggdrop.h
+--- eggdrop1.6.19/src/eggdrop.h	2008-02-16 22:41:03.000000000 +0100
++++ eggdrop1.6.19.new/src/eggdrop.h	2008-09-22 14:33:40.008829213 +0200
+@@ -616,18 +616,6 @@ enum {
+ #define HELP_TEXT       2
<<Diff was trimmed, longer than 597 lines>>


More information about the pld-cvs-commit mailing list